mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_texture_path  (current_mod_path.."/Textures")


local function add_structure(f)
	if(f) then
		f.shape_table_data = 
		{
			{
				file  	    = f.ShapeName,
				life		= f.Life,
				username    = f.Name,
				desrt       = f.ShapeNameDestr or "self",
			    classname 	= f.classname   or "lLandVehicle",
				positioning = f.positioning or "ADD_HEIGTH" -- {"BYNORMAL", "ONLYHEIGTH", "BY_XZ", "ADD_HEIGTH"}
			}
		}
		if f.ShapeNameDestr then
			f.shape_table_data[#f.shape_table_data + 1] = 
			{
				name  = f.ShapeNameDestr,
				file  = f.ShapeNameDestr,	
			}
		end
		
		
		f.mapclasskey = "P0091000076";
		f.attribute = {wsType_Static, wsType_Standing}
		
		add_surface_unit(f)
		GT = nil;
	else
		error("Can't add structure")
	end;
end

---------------------CONTAINERS


add_structure({
Name 		 =  "KAFA",
DisplayName  = _("KAFA"),
ShapeName	 =   "KAFA",
ShapeNameDestr = "",
Life		 =  9000,
Rate		 =  6,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
})	

add_structure({
Name 		 =  "Axalp_Target_1_Horizontal",
DisplayName  = _("Axalp Target Type 1 Horizontal"),
ShapeName	 =   "Axalp_Target_1_Horizontal",
ShapeNameDestr = "",
Life		 =  9000,
Rate		 =  6,
category     =  'Fortification',
SeaObject    = 	false,
isPutToWater =  false,
})	